Bump Shake version to 0.16.1. (#618)
authorTao He <sighingnow@gmail.com>
Wed, 13 Jun 2018 10:31:26 +0000 (18:31 +0800)
committerAndrey Mokhov <andrey.mokhov@gmail.com>
Wed, 13 Jun 2018 10:31:26 +0000 (11:31 +0100)
The shake-0.16 can't be built with ghc-8.4.3, due to the
Semigroup-Monoid-Proposal changes. shake-0.16.1 fixed that.

hadrian.cabal
stack.yaml

index 0bcbf1f..ef90c74 100644 (file)
@@ -121,7 +121,7 @@ executable hadrian
                        , mtl                  == 2.2.*
                        , parsec               >= 3.1     && < 3.2
                        , QuickCheck           >= 2.6     && < 2.11
-                       , shake                == 0.16.*
+                       , shake                >= 0.16.1
                        , transformers         >= 0.4     && < 0.6
                        , unordered-containers >= 0.2.1   && < 0.3
     build-tools:         alex  >= 3.1
index 663389f..61767bd 100644 (file)
@@ -10,7 +10,7 @@ packages:
 - '../libraries/text'
 
 extra-deps:
-- shake-0.16
+- shake-0.16.1
 
 nix:
    enable: false